#include <gear/ui/console.h>
#include <log.c/log.h>

void g_console_destroy(void* console_vp) {
    g_console* console = console_vp;

    sl_vec_free(console->input);
    sl_vec_free(console->output);
    free(console);

    log_debug("Freed console: %p", console);
}
